Session Replay
Get Session Replays
Returns recorded session replays with metadata, newest first.
GET /api/sites/:site/session-replay/listReturns recorded session replays with metadata, newest first.
Path Parameters
Prop
Type
Query Parameters
Accepts all Common Parameters (time and filters) plus the following:
Prop
Type
Response
Prop
Type
SessionReplay Object
Identified users are enriched with their traits.
Prop
Type
curl -X GET "https://app.rybbit.io/api/sites/123/session-replay/list?limit=50&offset=0&start_date=2024-01-01&end_date=2024-01-31" \
-H "Authorization: Bearer your_api_key_here"const response = await fetch(
'https://app.rybbit.io/api/sites/123/session-replay/list?limit=50&offset=0&start_date=2024-01-01&end_date=2024-01-31',
{
headers: {
'Authorization': 'Bearer your_api_key_here'
}
}
);
const data = await response.json();import requests
response = requests.get(
'https://app.rybbit.io/api/sites/123/session-replay/list',
params={
'limit': 50,
'offset': 0,
'start_date': '2024-01-01',
'end_date': '2024-01-31'
},
headers={
'Authorization': 'Bearer your_api_key_here'
}
)
data = response.json()$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://app.rybbit.io/api/sites/123/session-replay/list?limit=50&offset=0&start_date=2024-01-01&end_date=2024-01-31');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer your_api_key_here'
]);
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);require 'net/http'
require 'json'
uri = URI('https://app.rybbit.io/api/sites/123/session-replay/list?limit=50&offset=0&start_date=2024-01-01&end_date=2024-01-31')
req = Net::HTTP::Get.new(uri)
req['Authorization'] = 'Bearer your_api_key_here'
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)req, _ := http.NewRequest("GET", "https://app.rybbit.io/api/sites/123/session-replay/list?limit=50&offset=0&start_date=2024-01-01&end_date=2024-01-31", nil)
req.Header.Set("Authorization", "Bearer your_api_key_here")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
var data map[string]interface{}
json.NewDecoder(resp.Body).Decode(&data)let client = reqwest::Client::new();
let res = client
.get("https://app.rybbit.io/api/sites/123/session-replay/list?limit=50&offset=0&start_date=2024-01-01&end_date=2024-01-31")
.header("Authorization", "Bearer your_api_key_here")
.send()
.await?;
let data: serde_json::Value = res.json().await?;HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://app.rybbit.io/api/sites/123/session-replay/list?limit=50&offset=0&start_date=2024-01-01&end_date=2024-01-31"))
.header("Authorization", "Bearer your_api_key_here")
.GET()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer your_api_key_here");
var response = await client.GetAsync("https://app.rybbit.io/api/sites/123/session-replay/list?limit=50&offset=0&start_date=2024-01-01&end_date=2024-01-31");
var data = await response.Content.ReadAsStringAsync();{
"data": [
{
"session_id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"user_id": "dev_xyz789",
"identified_user_id": "user@example.com",
"start_time": "2024-01-31T14:00:00.000Z",
"end_time": "2024-01-31T14:00:48.200Z",
"duration_ms": 48200,
"page_url": "/",
"event_count": 312,
"country": "US",
"region": "California",
"city": "San Francisco",
"browser": "Chrome",
"browser_version": "120.0.0",
"operating_system": "macOS",
"operating_system_version": "14.2",
"device_type": "desktop",
"screen_width": 1920,
"screen_height": 1080
}
]
}